Package com.sun.jna.platform.win32

## Class LMAccess.GROUP_INFO_3

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.LMAccess.GROUP_INFO_3

Enclosing interface:
  LMAccess

    @FieldOrder({"grpi3_name","grpi3_comment","grpi3_group_sid","grpi3_attributes"})
    public static class LMAccess.GROUP_INFO_3
    extends Structure

The GROUP_INFO_3 structure contains information about a global group, including name, security identifier (SID), and resource attributes.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `grpi3_attributes` These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.
`java.lang.String` `grpi3_comment` Pointer to a null-terminated Unicode character string that contains a remark associated with the global group.
`WinNT.PSID.ByReference` `grpi3_group_sid` Pointer to a SID structure that contains the security identifier (SID) that uniquely identifies the global group.
`java.lang.String` `grpi3_name` Pointer to a null-terminated Unicode character string that specifies the name of the global group.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`GROUP_INFO_3()`
`GROUP_INFO_3​(Pointer memory)`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### grpi3_name

    public java.lang.String grpi3_name

Pointer to a null-terminated Unicode character string that specifies the name of the global group.

#### grpi3_comment

    public java.lang.String grpi3_comment

Pointer to a null-terminated Unicode character string that contains a remark associated with the global group. This member can be a null string. The comment can contain MAXCOMMENTSZ characters.

#### grpi3_group_sid

    public WinNT.PSID.ByReference grpi3_group_sid

Pointer to a SID structure that contains the security identifier (SID) that uniquely identifies the global group.

#### grpi3_attributes

    public int grpi3_attributes

These attributes are hard-coded to SE_GROUP_MANDATORY, SE_GROUP_ENABLED, and SE_GROUP_ENABLED_BY_DEFAULT.

### Constructor Detail

#### GROUP_INFO_3

    public GROUP_INFO_3()

#### GROUP_INFO_3

    public GROUP_INFO_3​(Pointer memory)